Subject: Re: Where are the TIOCM defines in Cygwin ???
From: "S. M. Halloran" <[email-masked]>
To: [email-masked]
Date: Fri, 6 Aug 1999 14:31:37 +0200

On 5 Aug 99, Chris Faylor was found to have commented thusly:

> On Thu, Aug 05, 1999 at 12:10:58PM -0400, Philippe Noel wrote:
> >I have a problem compiling my application: Every TIOCM defines that are
> >defined in /usr/include/asm/termios.h and /usr/include/ioctl-types.h under
> >Linux, are not in Cygwin-b20.
> >
> >...
> >Is it something obsolete?  Or something not supported by Cygwin?
> >
> >The only function I'm calling is "ioctl".  Is this function partially
> >supported or I only need to copy these defines in my source code?
> 
> It is the latter.  The defines are not supported by Cygwin.
> 
> -chris

It doesn't seem that these ioctl() functions are POSIX or ANSI C.  So it is a 
safe bet, I suppose, that if it is not POSIX or ANSI C, it will not be 
supported yet (?).

And there is apparently the difficulty of the Windows OS allowing drivers to 
set latches or flip-flops in the UART of the serial port anyway, is that true??

Mitch Halloran
Research (Bio)chemist
Duzen Laboratories Group
Ankara       TURKEY

--
Want to unsubscribe from this list?
Send a message to [email-masked]